Subject: Re: [PATCH v7 00/24] x86: Implement an HPET-based hardlockup detector

From: Thomas Gleixner <[email-masked]>
Date: Tue, 03 Feb 2026 16:58:49 +0100

On Wed, Apr 12 2023 at 20:58, Ricardo Neri wrote:
> Hello, checking if there is any feedback on these patches that I plan to
> send to the x86 maintainer.

Seems this completely fell through the cracks. Alexander reinvented this
recently with all mistakes made before, which made me come back to this.

This needs to be respun against current mainline.

Most rejects for the x86 preparatory patches are trivial, just the AMD
IOMMU code has changed significantly. I haven't tried to apply the core
watchdog stuff at all.

I'll go through the x86/HPET side quickly and comment on what might need
to be still address.

Thanks,

        tglx